Name:     utf8proc
Version:  2.8.0
Release:  1
Summary:  A library provides Unicode normalization
License:  MIT
URL:      https://juliastrings.github.io/utf8proc/
Source0:  https://github.com/JuliaStrings/utf8proc/archive/v%{version}.tar.gz#/%{name}-v%{version}.tar.gz

BuildRequires:  gcc perl

%description
Utf8proc is a small, clean C library that provides Unicode normalization, case-folding,
and other operations for data in the UTF-8 encoding, supporting Unicode version 12.1.

%package devel
Summary:    Development files for %{name}
Requires:   %{name} = %{version}-%{release}

%description devel
This is the development files for %{name}.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1
#solve the problem during the check
sed -i '/-C bench/d;/\ttest.* data/d' Makefile
touch data/NormalizationTest.txt data/GraphemeBreakTest.txt data/Lowercase.txt data/Uppercase.txt

%build
%make_build CFLAGS="%{optflags}"

%install
%make_install includedir=%{_includedir} libdir=%{_libdir}

%check
make check

%files
%defattr(-,root,root)
%license LICENSE.md
%{_libdir}/lib%{name}.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
%exclude %{_libdir}/*.a
%{_libdir}/pkgconfig/libutf8proc.pc

%files help
%defattr(-,root,root)
%doc README.md NEWS.md lump.md

%changelog
* Mon Nov 7 2022 Bin Hu <hubin73@huawei.com> - 2.8.0-1
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:update version 2.8.0

* Tue Oct 25 2022 yanglongkang <yanglongkang@h-partners.com> - 2.6.1-4
- rebuild for next release

* Tue Oct 26 2021 caodongxia <caodongxia@huawei.com> - 2.6.1-3
- add buildRequire perl

* Tue Jul 20 2021 fuanan <fuanan3@hauwei.com> - 2.6.1-2
- Remove redundant gdb from BuildRequires

* Thu Jan 28 2021 fuanan <fuanan3@hauwei.com> - 2.6.1-1
- Update to version 2.6.1

* Fri Jul 24 2020 yang_zhuang_zhuang<yangzhuangzhuang1@huawei.com> - 2.5.0-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:update version to 2.5.0

* Fri Sep 27 2019 shenyangyang<shenyangyang4@huawei.com> - 2.1.1-6
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:move the license

* Tue Aug 20 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.1.1-5
- Package init
